package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

/**
 * @author Shawn
 */
public class BalanceDay {
    @JSONField(name = "序号")
    private String id;
    @JSONField(name = "支援人")
    private String assistPerson;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "支援单元")
    private String assistUnit;
    @JSONField(name = "被支援单元")
    private String beAssistedUnit;
    @JSONField(name = "支援日期")
    private String assistDate;
    @JSONField(name = "住宿类型")
    private String stayType;
    @JSONField(name = "结算金额")
    private BigDecimal settlementAmount;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "说明")
    private String explainInfo;
    @JSONField(name = "上传日期时间")
    private String uploadTime;

    public BalanceDay() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getAssistPerson() {
        return assistPerson;
    }

    public void setAssistPerson(String assistPerson) {
        this.assistPerson = assistPerson;
    }

    public String getAssistUnit() {
        return assistUnit;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public void setAssistUnit(String assistUnit) {
        this.assistUnit = assistUnit;
    }

    public String getBeAssistedUnit() {
        return beAssistedUnit;
    }

    public void setBeAssistedUnit(String beAssistedUnit) {
        this.beAssistedUnit = beAssistedUnit;
    }

    public String getAssistDate() {
        return assistDate;
    }

    public void setAssistDate(String assistDate) {
        this.assistDate = assistDate;
    }

    public String getStayType() {
        return stayType;
    }

    public void setStayType(String stayType) {
        this.stayType = stayType;
    }

    public BigDecimal getSettlementAmount() {
        return settlementAmount;
    }

    public void setSettlementAmount(BigDecimal settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "BalanceDay{" +
                "id='" + id + '\'' +
                ", assistPerson='" + assistPerson + '\'' +
                ", assistUnit='" + assistUnit + '\'' +
                ", beAssistedUnit='" + beAssistedUnit + '\'' +
                ", assistDate='" + assistDate + '\'' +
                ", stayType='" + stayType + '\'' +
                ", settlementAmount=" + settlementAmount +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }

}
